#ifndef COUNTDOWN_H
#define COUNTDOWN_H

#include <stdint.h>
#define IRQS_PER_SECOND     5000
#define IRQS_PER_10MS       (IRQS_PER_SECOND / 100)

typedef struct
{
    struct
    {
        // .ms10.timer_1s wird intern verwendet
        uint8_t timer_1s;

        // 8-Bit Werte, die alle 10ms runtergezhlt werden sollen
        //uint8_t beep;
        uint8_t GSM_TIMER;
    } ms10;

    struct
    {
        // .sec.timer_1m wird intern verwendet
        uint8_t timer_1m;

        // 8-Bit Werte, die jede Sekunde runtergezhlt werden sollen
        uint8_t GSM_TIMER;
        uint8_t GSM_MSG_TIMEOUT_NOT_REACHED;
    } sec;

    struct
    {
        // 8-Bit Werte, die jede Minute runtergezhlt werden sollen
        //uint8_t eiuhr;
        uint8_t GSM_TIMER;
    } min;
} countdown_t;

// 'count' global bekannt machen
extern volatile countdown_t count;

// Diese Routine alle 10ms aufrufen
extern void job_countdown (void);


extern void Countdown_Init (void);

#endif // COUNTDOWN_H
